Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: LimeSurvey 2.0

LimeSurvey 2.0 1 year 5 months ago #92376

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
Hallo Forumsmitglieder,

ich habe mir die neue Version 2.0 heruntergeladen und jetzt gemäß Installationsanweisung meine alte Version config.php Datei in den neuen Ordner application/config kopiert.
Jetzt sollte mein Installationsskript mit

meine.domain.com/limesurvey/admin/ starten, wenn ich Glück habe.
Ich bekomme jedoch entweder

meine.domain.com/limesurvey/index.php?r=admin oder
meine.domain.com/limesurvey/index.php bzw. einen weißen Bildschirm.

Was mache ich falsch, bzw. was muss ich noch beachten?

Danke für eure Hilfe
Sonja
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92379

  • holch
  • holch's Avatar
  • NOW ONLINE
  • LimeSurvey Team
  • Posts: 2568
  • Thank you received: 291
  • Karma: 106
Das alte Konfigurations-Skript wird für die Version 2.0 nicht gebraucht.

Eigentlich sollte die Installation/Konfiguration direkt im Browser erfolgen. Wenn du nur einen weissen Bildschirm bekommst, dann erfüllt dein Server wohl einige Vorraussetzungen nicht.

Wo hast du gelesen, dass du deine alte Version der config.php in den neuen Ordner kopieren sollst?
Have a look at the manual! It is a really valuable source for information. Here some helpful links:
Manual (EN) | Question Types | Question Attributes | Workarounds

If you found this answer helpful and it saved you some time please consider a donation to the project to keep Limesurvey going!
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92380

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
"Wo hast du gelesen, dass du deine alte Version der config.php in den neuen Ordner kopieren sollst? " Entschuldige, da lag ich total daneben. Das betraf immer die letzten Versionen und ich habe hier einen falschen Ausdruck neben der neuen installationsanleitung.

Also habe ich hier schon mal meinen ersten Fehler. Wo lasse ich die config.php Datei?, denn mit der neuen Datei bekomme ich diese Meldung :


"Internal Server Error
CDbConnection failed to open the DB connection.
An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.
Thank you. "
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92381

  • holch
  • holch's Avatar
  • NOW ONLINE
  • LimeSurvey Team
  • Posts: 2568
  • Thank you received: 291
  • Karma: 106
In LS 2.0 gibt es die Config.php in dieser Form nicht mehr.

Wenn du die Dateien von LS 2.0 alle richtig hochgeladen hast (Binary Format), dann sollte sich ein Installations-Prozess öffnen, wenn du die URL aufrufst.

Bei mir z.B. gab es das Problem, dass mein Server PDO nicht unterstützt hat und ich bekam einen weissen Bildschirm. Musste also pdo nachinstallieren.

Hast du nachgesehen, ob dein Server alles Notwendige für LS unterstützt? Wo installierst du LS?
Have a look at the manual! It is a really valuable source for information. Here some helpful links:
Manual (EN) | Question Types | Question Attributes | Workarounds

If you found this answer helpful and it saved you some time please consider a donation to the project to keep Limesurvey going!
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92382

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
Prima. Ich habe die config.php rausgeworfen. Jetzt bin ich auf
meine.domain/limesurvey/index.php?r=installer/license

ich hangle mich mal durch. Mal schauen was passiert. Danke.
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92383

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
PHP PDO Treiberbibliothek Mindestens einer installiert = bei Pflichtangaben und Keine gefunden bei Aktiv

PHP LDAP library bekomme ich ein X

Was kannst du mir für einen Treiber empfehlen?
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92398

  • holch
  • holch's Avatar
  • NOW ONLINE
  • LimeSurvey Team
  • Posts: 2568
  • Thank you received: 291
  • Karma: 106
Wenn du nicht weisst was LDAP ist, dann brauchst du es vermutlich nicht.

PHP PDO Treiber sollte es nicht allzuviele geben.

Allerdings gehe ich mal davon aus, dass du auf einem Shared Hoster bist und keinen eigenen Server hast, richtig?

Ich dem Fall dürftest du den Treiber selbst nicht installieren können und wirst dich wohl an deinen Server-Admin wenden müssen.
Have a look at the manual! It is a really valuable source for information. Here some helpful links:
Manual (EN) | Question Types | Question Attributes | Workarounds

If you found this answer helpful and it saved you some time please consider a donation to the project to keep Limesurvey going!
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92406

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
Recht herzlichen Dank für deine Info.
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92450

  • Sonja23
  • Sonja23's Avatar
  • OFFLINE
  • Junior Lime
  • Posts: 23
  • Karma: -1
Hallo Holch,

zum Thema PHP PDO Treiber erhielt ich von meinem Anbieter diese Nachricht:

"Die Funktion pdo_mysql können wir Ihnen leider nicht zur Verfügung stellen, es kann ausschließlich pdo_sqlite genutzt werden."

Kannst du mir damit weiterhelfen?
The administrator has disabled public write access.

Re: LimeSurvey 2.0 1 year 5 months ago #92456

  • holch
  • holch's Avatar
  • NOW ONLINE
  • LimeSurvey Team
  • Posts: 2568
  • Thank you received: 291
  • Karma: 106
Da wird dir wohl nichts anderes übrig bleiben als LS 1.9x zu nutzen, oder aber den Anbieter zu wechseln.

In den Installationsvorraussetzungen ist der PDO Treiber jedenfalls als unabdingbar angegeben:
Required:
Minimum 80 MB disk space
MySQL 4.1.0 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later
PHP 5.1.6 or later with the following modules/libraries enabled:
mbstring (Multibyte String Functions) extension library (see also Installation FAQ)
PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv)
For PHP versions <5.2 you will need to have the PECL JSON library( see pecl.php.net/package/json) installed
Also we assume in general that all PHP default libraries are enabled (like hash, session, etc.).
Have a look at the manual! It is a really valuable source for information. Here some helpful links:
Manual (EN) | Question Types | Question Attributes | Workarounds

If you found this answer helpful and it saved you some time please consider a donation to the project to keep Limesurvey going!
The administrator has disabled public write access.
  • Page:
  • 1
  • 2
Moderators: ITEd
Time to create page: 0.135 seconds
Donation Image